%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname rack-restful_submit
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Allows RESTful routing without Javascript and multiple submit buttons
Name: rubygem-%{gemname}
Version: 1.1.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/martincik/%{gemname}
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: rubygems
Requires: ruby(abi) = 1.8
Requires: rubygem(rack) = 1.1.0
Requires: rubygem(rspec) = 1.3.0
BuildRequires: rubygems
BuildRequires: rubygem(rack) = 1.1.0
BuildRequires: rubygem(rspec) = 1.3.0
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Implements support of RESTful resources with Rails MVC when Javascript is off
and bulk operations are required with multiple submit buttons.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
rm %{buildroot}%{geminstdir}/.gitignore

%check
pushd %{buildroot}%{geminstdir}
%{_bindir}/spec spec/
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%doc %{geminstdir}/README.markdown
%doc %{geminstdir}/LICENSE
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/%{gemname}.gemspec
%{geminstdir}/spec
%{geminstdir}/Gemfile
%{geminstdir}/Gemfile.lock

%changelog
* Wed Dec 15 2010 Jozef Zigmund <jzigmund@redhat.com> - 1.1.2-1
- Initial package
